chrome.storage.local.get('instance_id', function(instance) {

  if (typeof instance.instance_id == 'undefined') {
    var instance_seed = new Uint8Array(32);

    crypto.getRandomValues(instance_seed);

    var running_id = '';

    for (var i = 0; i < instance_seed.length; ++i) {
      running_id = running_id + instance_seed[i].toString(16);
    }

    instance.instance_id = running_id;
  }

  chrome.storage.local.set({'instance_id': instance.instance_id});
});
