function writeBottomText(elm, text, error, response_timeout, response_timeout_cleaner) {
  elm = elm || document.getElementById('response_text');

  clearTimeout(response_timeout);
  clearTimeout(response_timeout_cleaner);

  removeClass(elm, 'text-fader');
  removeClass(elm, 'error-text');

  elm.className = elm.className + (error ? ' error-text' : '');
  elm.innerText = text;

  response_timeout = setTimeout(function() {
    elm.className = elm.className + ' text-fader';
    response_timeout_cleaner = setTimeout(function() {
      elm.innerText = ' ';
      removeClass(elm, 'text-fader');
      removeClass(elm, 'error-text');
    }, 950);
  }, 700);
}

function removeClass(elm, remove) {
  if (elm.className.indexOf(' ' + remove) !== -1) {
    elm.className = elm.className.substring(
      elm.className.indexOf(' ' + remove),
      -1
    );
  }
}
